Bug 1119609 - [fork][origin_node_401]Cannot erase installed cartridge with error "Couldn't erase cartridge: (wrong number of arguments (3 for 4))"
Summary: [fork][origin_node_401]Cannot erase installed cartridge with error "Couldn't ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 2.x
Assignee: Jhon Honce
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 06:57 UTC by Wenjing Zheng
Modified: 2015-05-14 23:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-10 00:48:47 UTC


Attachments (Terms of Use)

Description Wenjing Zheng 2014-07-15 06:57:12 UTC
Description:
Cannot erase installed cartridges with below error:
[root@ip-10-144-201-35 12345]# oo-admin-cartridge --action erase --name perl -v 5.10 -c 0.0.1
Couldn't erase cartridge: (wrong number of arguments (3 for 4))

Version-Release number of selected component (if applicable):
fork_ami_online_node_401_1219

How reproducible:
always

steps to Reproduce:
1. Install a customized cartridge 
#oo-admin-cartridge -a install -s /root/perlv2cart
2. Check the cartridge is installed 
#oo-admin-cartridge -a list
....
(123wsuntest, perl, 5.10, 0.0.1)
....
3. Erase the cartridge
#oo-admin-cartridge --action erase --name perl -v 5.10 -c 0.0.1

Actual results:
Met below errors:
Couldn't erase cartridge: (wrong number of arguments (3 for 4))

Expected results:
The cartridge should be deleted like it did on devenv_4967

Additional info:
Delete with --mco parameter:
[root@ip-10-144-201-35 zend]# oo-admin-cartridge -a erase -n perl -v 5.10 -c 0.0.1 --mco
Operation failed: 
1 / 1
ip-10-144-201-35                         Invalid Request Data
   erase failed for  key not found: (, perl, 5.10, 0.0.1)
Finished processing 1 / 1 hosts in 16.72 ms
Discovering hosts using the mc method for 2 second(s) .... 1

Comment 1 Jhon Honce 2014-07-16 15:04:18 UTC
Fixed in fork_ami_origin_node_401_1222

Comment 2 Wenjing Zheng 2014-07-17 00:31:14 UTC
Verified on fork_ami_origin_node_401_1222,erasing cartridge succeeds and the added cartridge is remove from cartridge list: 
#oo-admin-cartridge -a erase --name perl -v 5.10 -c 0.0.1 --cartridge_vendor wsuntest
succeeded

Comment 3 Wenjing Zheng 2014-07-17 01:26:37 UTC
Checked again on fork_ami_origin_node_401_1222, erasing cartridge with customized cartridge vendor still failed with "--mco" added
[root@ip-10-142-185-105 ~]# oo-admin-cartridge -a erase -v 5.10 -n perl -c 0.0.1 -o wsuntest --mco

Operation failed: 
1 / 1


ip-10-142-185-105                        Invalid Request Data
   erase failed for  key not found: (, perl, 5.10, 0.0.1)



Finished processing 1 / 1 hosts in 48.13 ms

Discovering hosts using the mc method for 2 second(s) .... 1

So reopen this defect.

Comment 4 Jhon Honce 2014-07-17 21:58:36 UTC
Fixed in fork_ami_origin_node_401_1226

Comment 5 Wenjing Zheng 2014-07-18 04:43:36 UTC
Fixed on fork_ami_origin_node_401_1226:
[root@ip-10-61-173-184 ~]# oo-admin-cartridge -a erase -n mysql -v 5.1 -c 0.2.0 -o jhou --mco

1 / 1
ip-10-61-173-184                         
   output: erase succeeded for (jhou, mysql, 5.1, 0.2.0)
Finished processing 1 / 1 hosts in 52.50 ms

Comment 6 openshift-github-bot 2014-07-21 19:08:36 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/1557fd24221a0bf7233c3c79d3a6d2afae6813ea
Bug 1119609 - Support vendor in oo-admin-cartridge


Note You need to log in before you can comment on or make changes to this bug.